/merchant/wallets/:id/consolidation-transactions/:spendIdRetrieve Auto-Consolidation Transactions
getMerchantWalletsConsolidationTransactionsByIdSpendIdV1Request
path parametersidstringpaththe id of the wallet
spendIdstringpathID of the withdrawal (spend request)
Responses
200 · 401 · 403Wallet creation response
idstringId of the transaction in the system
uuiddateCreatedstringDate when transaction was created
date-timedateCompletedstringnullableDate when transaction was received or sent to the chain
date-timefromOwnerIdstringnullableId of the owner of the wallet who sent the transaction
uuidfromWalletIdstringnullableId of the wallet which the transaction was sent from
uuidtoWalletIdstringnullableId of the wallet which the transaction was sent to
uuidspendRequestIdstringnullableId of the spend request which was used to create this transaction
uuidfromCurrencyIdintegernullableId of the currency that was used to send this transaction
int32toCurrencyIdintegerId of the currency which this transaction is sending funds to
int32fromAmountstringAmount of funds that was sent in this transaction in smallest units (e.g. Satoshis for Bitcoin)
toAmountstringAmount of funds that was received in this transaction in smallest units (e.g. Satoshis for Bitcoin)
coinpaymentsFeestringnullableAmount of funds withheld as system fee for this transaction in smallest units (e.g. Satoshis for Bitcoin)
transactionStatusunknownStatus of this transaction
transactionTypeunknownType of this transaction
memostringnullableUser-defined custom note for this transaction
fromAddressstringnullableAddress of the wallet which was used when this transaction was created
toAddressstringAddress which this transaction is sending funds to
txHashstringnullableBlockchain transaction hash (only for external transfers)
outputIndexintegernullableIndex of the output in which this transaction received funds (only for UTXO receives)
int32blockchainFeestringnullableAmount of funds spent as a blockchain fee for this transaction in smallest units (e.g. Satoshis for Bitcoin)
fromContractAddressstringnullableAddress of the contract for tokens being sent if this transaction is an ERC20 or similar token transfer
toContractAddressstringnullableAddress of the contract for tokens being received if this transaction is an ERC20 or similar token transfer
blockchainFeeCurrencystringCurrency in which Blockchain fee was deducted. The format is {CurrencyId}:{ContractAddress?} where ContractAddress is optional e.g.null "1", "4:0xdac17f958d2ee523a2206206994597c13d831ec7"
coinPaymentsFeeCurrencystringCurrency in which CoinPayments fee was deducted. The format is {CurrencyId}:{ContractAddress?} where ContractAddress is optional e.g.null "1", "4:0xdac17f958d2ee523a2206206994597c13d831ec7"
blockNumberTxAppearedAtintegernullableBlock number the transaction appeared at
int64supportTransactionIdstringThe identifier used for support and tracking purposes
confirmationsintegerCurrent number of confirmations that this transaction has
int32requiredConfirmationsintegerRequired number of confirmations to consider this transaction confirmed
int32fromAmountNativestringnullableThe amount sent in native currency for display purposes
toAmountNativestringnullableThe amount received in native currency for display purposes
coinpaymentsFeeNativestringnullableThe CoinPayments fee amount in native currency for display purposes
blockchainFeeNativestringnullableThe blockchain fee amount in native currency for display purposes
isInvoicePaymentSendbooleanIndicates whether this transaction is a payment for an invoice
paymentTypestringnullableThe type of payment method used for this transaction
convertedTxHashstringnullableThe blockchain transaction hash for currency conversion, if applicable
